strongSwan dependency on xfrm and gmpdh

I believe strongswan packages should depend on kmod-xfrm-interface package (tested on 23.05.0-rc3).
Without it I get error in logread:


daemon.info ipsec: 00[KNL] received netlink error: Unknown device type (95)
daemon.info ipsec: 00[KNL] failed to create XFRM interface 'xfrmi-test-6147'

P.S. strongswan-full should include strongswan-mod-gmpdh in its dependencies too or user will get:

plugin 'gmpdh': failed to load - gmpdh_plugin_create not found and no plugin file available

1 Like